<!DOCTYPE html>

<html lang="ru">

  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="style.css" type="text/css" media="all">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
    <link href="https://fonts.googleapis.com/css?family=Roboto+Mono&display=swap" rel="stylesheet">
    <title>Жучки</title>
    <meta charset="utf-8">
  </head>

  <body class="bd">

    <header class="container-fluid zag mb-4 p-0">
      <h1 class="m-0 text-white">
        <strong>Био-еда.</strong>
        <br>
        <strong>Наедине с природой.</strong>
      </h1>
    </header>

    <div class="card container py-2 my-4" style="background-color: #8cad9b; border-radius: 25px;">
      <p style="text-align: center; margin:0;"><img src="batonchik1.png" class="card-img-top" alt="батончик" style="border-radius: 25px; width: 75%;">
    	<div class="card-body">
    	   <h4 class="card-title" style="text-align: center;">Товар месяца! Не упустите свой шанс попробовать жизнь на вкус.</h4>
    		 <p class="card-text" style="text-align: center;">Батончики Сhapul на основе муки из земляных сверчков</p>
    	</div>
    </div>


    <div class="container mb-1 p-2">
      <h5>Захотелось чего-то нового? Экзотического? Почувствуйте себя Тимоном из одноименного мультфильма «Король Лев» вместе с нашими <em>чипсами, батончиками и печеньями</em> с добавлением сверчков и других «жучков». Звучит не очень? Но это только с первого взгляда!
      <br>Помимо запечатанной продукции, в нашем магазине Вы можете заказать различные блюда. Наши шеф-повара приготовят их буквально в считанные минуты, и мы доставим заказ в любой уголок нашего города!</h5>
    </div>

    <div class="container-fluid photo py-2 mt-2 mx-0">
      <figure class="sign">
        <img src="bludo.JPG" alt="блюдо">
        <figcaption class="px-3">Пицца со сверчками</figcaption>
      </figure>
      <figure class="sign">
        <img src="bludo2.JPEG" alt="блюдо">
        <figcaption class="px-3">Жареные жучки</figcaption>
      </figure>
      <figure class="sign">
        <img src="bludo3.JPG" alt="блюдо">
        <figcaption class="px-3">Макароны с червями</figcaption>
      </figure>
    </div>

    <div class="kk container-fluid">
      <div class="container">
        <p>Давайте поговорим о <b>безусловной пользе</b> данного экзотического продукта: что все-таки кроме необычного вкуса можно выделить?</p>
        <p><img class="mx-1" src="gal.png" alt="галочка">Во-первых, этномография положительна с экологической точки - насекомые не требуют никаких затрат в плане корма по сравнению с крупными животными. Кроме того, как можно догадаться, в уходе крайне неприхотливы. Фермы для разведения насекомых занимают намного меньше места.</p>
        <p><img class="mx-1" src="gal.png" alt="галочка">Во-вторых, белок, содержащийся в организме «жучка» ничуть не хуже «животного белка», а зачастую даже лучше! Ведь насекомые не требуют никаких химических добавок для ускоренного роста, их способности к размножению и росту и без того удивительны.</p>
        <p><img class="mx-1 mb-2" src="gal.png" alt="галочка">И факт: содержание железа много больше, чем в шпинате,  а  кальция больше, чем в молоке!</p>
      </div>
    </div>

    <div class="container-fluid">
      <div class="container">
        <h3 style="text-align: center;">Итого: здоровое питание + забота о планете + необычные пристрастия в еде, которые помогут Вам стать звездой любой компании!</h3>
      </div>
    </div>

    <div class="kk container-fluid pt-1">
      <div class="container">
      <p class="m-0">Не бойтесь пробовать новое. Посмотрите на жизнь с новой стороны, а мы Вам в этом обязательно поможем! <br> Остались вопросы? Наш менеджер с удовольствием ответит Вам! Оставьте свои контакты в форме ниже, и мы немедленно свяжемся с Вами.</p>
      <form style="text-align: center;">
        <label>
          Введите имя:
          <br>
          <input type="text" placeholder="имя">
        </label>
        <br>
        <label>
          Введите номер телефона:
          <br>
          <input type="number" placeholder="номер">
        </label>
        <br>
        <input type="submit" value="Отправить">
      </form>
      </div>
    </div>

  <div class="kk container-fluid pt-1 my-4">
    <div class="container">
      <h2>Стоимость</h2>

      <div class="price">
        <div id="calculator" class="calculator">
          <table>
          <tbody>
            <tr class="required">
              <td>Количество</td>
              <td><input name="area" type="text"></td>
            </tr>
            <tr class="required">
              <td>Продукция:</td>
              <td>
                  <select name="textur">
                      <option value="one">Пицца со сверчками</option>
                      <option value="two">Жареные жучки</option>
                      <option value="three">Макароны с червями</option>
                      <option value="four">Батончики</option>
                      <option value="five">Печеньки</option>
                      <option value="six">Чипсы</option>
                  </select>
              </td>
            </tr>
          </tbody>
          </table>
          <br>

      <form name="fff">
        <div id="r">С добавлением:<br>
          <label>
            <input type="radio" id="v1" name="radio-group-1" value="Значение1">
            сверчков
          </label>
          <br>
          <label>
            <input type="radio" id="v2" name="radio-group-1" value="Значение2">
            кузнечиков
          </label>
          <br>
          <label>
            <input type="radio" id="v3" name="radio-group-1" value="Значение3">
            муравьев
          </label>
          <br>
        </div>

        <div id="ch">Соус<br>
          <label>
            <input type="checkbox" id="v4" name="check-1" value="on">
            Приобрести
          </label>
          <br>
        </div>
      </form>

      <br>
      <div class="total">
        Итого:<span class="total">0 руб.</span>
      </div>

    </div>
  </div>
</div>
</div>

<script>
(function ($) {
  $(function () {

        calculate();

        jQuery('#calculator input').keyup(function() {
            this.value = this.value.replace(/[^0-9\.,]/g, '');
            this.value = this.value.replace(/[,]/, '.');
        });
        jQuery('#calculator input, #calculator select').change(function() {
            calculate();
        });
        jQuery('#calculator input').keyup(function() {
            calculate();
        });
        function calculate() {
        $('.calculator').each(function(key, val){
        calcInputs = {};
            $(this).find('input, select').each(function(key, val){
                name = $(this).attr('name');
                val = $(this).val();
                if (!$.isNumeric(val)) {
                    switch (name) {
                        case 'area':
                            break;

                        default:
                            break;
                    }
                    $(this).val(val);
                }
                calcInputs[name] = val;
            });

            total = 0;

        switch (calcInputs.textur) {
            case 'one':
        total += calcInputs.area * 900;
        document.getElementById("r").hidden = true;
        document.getElementById("ch").hidden = true;
        v1.checked=false;
        v2.checked=false;
        v3.checked=false;
        v4.checked=false;
        break;

            case 'two':
        total += calcInputs.area * 1500;
        document.getElementById("r").hidden = true;
        document.getElementById("ch").hidden = true;
        v1.checked=false;
        v2.checked=false;
        v3.checked=false;
        v4.checked=false;
        break;

            case 'three':
        total += calcInputs.area * 1400;
        document.getElementById("r").hidden = true;
        document.getElementById("ch").hidden = true;
        v1.checked=false;
        v2.checked=false;
        v3.checked=false;
        v4.checked=false;
        break;

            case 'four':
        total += calcInputs.area * 350;
        document.getElementById("r").hidden = false;
        document.getElementById("ch").hidden = true;
        v4.checked=false;
        break;

            case 'five':
        total += calcInputs.area * 500;
        document.getElementById("r").hidden = true;
        document.getElementById("ch").hidden = true;
        v1.checked=false;
        v2.checked=false;
        v3.checked=false;
        v4.checked=false;
        break;

            case 'six':
        total += calcInputs.area * 400;
        document.getElementById("r").hidden = true;
        document.getElementById("ch").hidden = false;
        v1.checked=false;
        v2.checked=false;
        v3.checked=false;
        break;

        default:
        break;
        }

        if(v1.checked) {total+=calcInputs.area*35;}
        if(v3.checked) {total+=calcInputs.area*100;}
        if(v4.checked) {total+=calcInputs.area*150;}
            total += ' руб.';
            jQuery(this).find('span.total').html(total);
        });
        }
    });
})(jQuery);
</script>

    <div class="kk container-fluid my-4">
      <div class="container">
        <h3>Отзывы:</h3>
        <p><img class="mx-1" src="user.png" alt="иконка"><b>Андрей Иванов, 32 года, город Краснодар</b> <br> Доставляют все быстро, готовят невообразимо вкусно. Все, как говорится, первой свежести!</p>
        <p><img class="mx-1" src="user.png" alt="иконка"><b>Ирина Петрова, 18 лет, город Краснодар</b> <br> Первый свой заказ сделала на спор, но потом мне правда понравилось! Ребята молодцы, все очень быстро, порадовало необычное оформление.</p>
        <p><img class="mx-1" src="user.png" alt="иконка"><b>Анна Сидорова, 25 лет, город Краснодар</b> <br> Давно увлекаюсь странными и экстравагантными блюдами, но вашу продукцию, по правде говоря, было страшно пробовать… Но мне понравилось! Обязательно закажу еще.</p>
      </div>
    </div>

    <div class="kk container-fluid p-2">
      <div class="container">
        <b><strong>Наши контакты:</strong></b><br>
        Телефон: 8(989)142-98-52 <br>
        Электронная почта: anya.kazakina@mail.ru <br>
        Адрес: г.Краснодар, ул. Старокубанская 2/5
      </div>
    </div>

    <div class="footer">
      <p>(c) Казакина Анна 2019</p>
    </div>

  </body>
</html>
